Bug Hunting Session
Bug 113909 - UI Labels in the Shadow tab are misplaced a bit
Summary: UI Labels in the Shadow tab are misplaced a bit
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-17 21:26 UTC by Gabor Kelemen
Modified: 2017-11-23 22:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem (22.37 KB, image/png)
2017-11-17 21:26 UTC, Gabor Kelemen
Details
Labels aligned right after my patch (23.02 KB, image/png)
2017-11-20 10:39 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-11-17 21:26:53 UTC
Created attachment 137837 [details]
Screenshot of the problem

Insert a shape, then right click on it and select Area... then go to the Shadow tab page.
Observe that the Distance, Color and Transparency labels are left aligned and the latter two has a left indentation as well.

This looks a bit odd they should probably be right aligned.
Comment 1 Gabor Kelemen 2017-11-17 23:29:00 UTC
Proposed patch: https://gerrit.libreoffice.org/#/c/44900/
Comment 2 Heiko Tietze 2017-11-19 20:18:55 UTC
Please attach a screenshot how it looks with patch.
Comment 3 Gabor Kelemen 2017-11-20 10:39:38 UTC
Created attachment 137871 [details]
Labels aligned right after my patch
Comment 4 Heiko Tietze 2017-11-20 10:51:01 UTC
Well done. Thanks for your patch.
Comment 5 Commit Notification 2017-11-20 10:51:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d13cc9723547f7a2028713e66e4f44a99090a34

tdf#113909 Fix label alignment in Shadow tab of drawing object properties

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Adolfo Jayme 2017-11-23 22:08:38 UTC
This is excellent work; thanks! The previous arrangement implied that the indented options were dependent on the “Distance” option, which was an incorrect hierarchy (all of these options actually depend on the “Use shadow” box).